# Uses of Class
org.apache.avro.util.TimePeriod

Packages that use TimePeriod
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.util
Common utility classes.

## Uses of TimePeriod in org.apache.avro

Methods in org.apache.avro that return TimePeriod
Modifier and Type
Method
Description
`TimePeriod`
Conversions.DurationConversion.`fromFixed(GenericFixed value, Schema schema, LogicalType type)`
Methods in org.apache.avro that return types with arguments of type TimePeriod
Modifier and Type
Method
Description
`Class<TimePeriod>`
Conversions.DurationConversion.`getConvertedType()`
Methods in org.apache.avro with parameters of type TimePeriod
Modifier and Type
Method
Description
`GenericFixed`
Conversions.DurationConversion.`toFixed(TimePeriod value, Schema schema, LogicalType type)`

## Uses of TimePeriod in org.apache.avro.util

Methods in org.apache.avro.util that return TimePeriod
Modifier and Type
Method
Description
`static TimePeriod`
TimePeriod.`from(TemporalAmount amount)`
Create a TimePeriod from another TemporalAmount, such as a `Period` or a `Duration`.
`static TimePeriod`
TimePeriod.`of(long months, long days, long millis)`
Create a TimePeriod from a number of months, days and milliseconds